f

Mixlr Support

Unable to install Mixlr on Windows?

The current version of the Mixlr broadcast app is v29 and supports Windows 7 upwards. If you are running Windows 7 or above and have an issue installing v29 please contact our support team.


If you are running Windows XP or Windows Vista we suggest you try installing the previous version of Mixlr (v28) which supports Windows XP upwards. You can download v28 here.
support@mixlr.com
http://assets0.desk.com/
Mixlr
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
Invalid characters found
/customer/en/portal/articles/autocomplete